/*************************************************************************
* File Name          : PhotographyKit.ino
* Author             : Evan
* Updated            : Evan
* Version            : V1.0.0
* Date               : 5/17/2013
* Description        : Example for Photography Kit. Use the motor driver on base shield.
                       The motor use M2 port in default of Me-Base Shield.
* License            : CC-BY-SA 3.0
* Copyright (C) 2011 Hulu Robot Technology Co., Ltd. All right reserved.
* http://www.makeblock.cc/
**************************************************************************/
#include <Me_BaseShield.h>
#include <Me_InfraredReceiver.h>
#include <Me_BaseShieldMotorDriver.h>

Me_InfraredReceiver infraredReceiver; // only be connected to the PORT_4
Me_BaseShieldMotorDriver baseShieldMotorDriver;

void setup()
{
    // initialize motor Driver:
    baseShieldMotorDriver.begin();
    // initialize Infrared Receiver:
    infraredReceiver.begin();
}
int motorSpeed = 100;
int lastSpeed = 100;
void loop()
{
    int key = infraredReceiver.read();
    if(key>=0)
    {
        switch (key)
        {
            case IR_NEXT_BUTTON:motorSpeed = lastSpeed;break;
            case IR_PREVIOUS_BUTTON:motorSpeed = -lastSpeed;break;
            case IR_PLAY_BUTTON:motorSpeed = -motorSpeed;break;
            case IR_BUTTON_0:motorSpeed = 0;break;
            case IR_BUTTON_1:motorSpeed = (( motorSpeed < 0 ) ? -35 : 35);lastSpeed = motorSpeed;break;
            case IR_BUTTON_2:motorSpeed = (( motorSpeed < 0 )? -55 : 55);lastSpeed = motorSpeed;break;
            case IR_BUTTON_3:motorSpeed = (( motorSpeed < 0 )? -80 : 80);lastSpeed = motorSpeed;break;
            case IR_BUTTON_4:motorSpeed = (( motorSpeed < 0 )? -105 : 105);lastSpeed = motorSpeed;break;
            case IR_BUTTON_5:motorSpeed = (( motorSpeed < 0 )? -130 : 130);lastSpeed = motorSpeed;break;
            case IR_BUTTON_6:motorSpeed = (( motorSpeed < 0 )? -160 : 160);lastSpeed = motorSpeed;break;
            case IR_BUTTON_7:motorSpeed = (( motorSpeed < 0 )? -190 : 190);lastSpeed = motorSpeed;break;
            case IR_BUTTON_8:motorSpeed = (( motorSpeed < 0 )? -220 : 220);lastSpeed = motorSpeed;break;
            case IR_BUTTON_9:motorSpeed = (( motorSpeed < 0 )? -255 : 255);lastSpeed = motorSpeed;break;
            default:break;
        }
        baseShieldMotorDriver.runMotor1(motorSpeed);
    }
}

