/*************************************************************************
* File Name          : TestInfraredReceiverDecode.ino
* Author             : Evan
* Updated            : Evan
* Version            : V0.2.0
* Date               : 05/16/2013
* Description        : Example for Makeblock Electronic modules of Me -  
                       InfraredReceiverDecode. The module can only be connected to the 
                       port 3, 4, 5, 6 of Me - Base Shield.
* License            : CC-BY-SA 3.0
* Copyright (C) 2011 Hulu Robot Technology Co., Ltd. All right reserved.
* http://www.makeblock.cc/
**************************************************************************/
#include <Me_BaseShield.h>
#include <SoftwareSerial.h>
#include <Me_InfraredReceiverDecode.h>

Me_InfraredReceiverDecode infraredReceiverDecode(PORT_6);

void setup()
{
    Serial.begin(9600);
    infraredReceiverDecode.begin();
    Serial.println("InfraredReceiverDecode Start!");
}

void loop()
{
    if(infraredReceiverDecode.available())
    {
        switch(infraredReceiverDecode.read())
        {
            case IR_POWER_BUTTON: printButtonState("Press Power Button.");break;
            case IR_MENU_BUTTON: printButtonState("Press Menu Button.");break;
            case IR_TEST_BUTTON: printButtonState("Press Test Button.");break;
            case IR_PLUS_BUTTON: printButtonState("Press Plus Button.");break;
            case IR_RETURN_BUTTON: printButtonState("Press Return Button.");break;
            case IR_PREVIOUS_BUTTON: printButtonState("Press Previous Button.");break;
            case IR_PLAY_BUTTON: printButtonState("Press Play Button.");break;
            case IR_NEXT_BUTTON: printButtonState("Press Next Button.");break;
            case IR_MINUS_BUTTON: printButtonState("Press Minus Button.");break;
            case IR_CLR_BUTTON: printButtonState("Press Clr Button.");break;
            case IR_BUTTON_0: printButtonState("Press Button 0.");break;
            case IR_BUTTON_1: printButtonState("Press Button 1.");break;
            case IR_BUTTON_2: printButtonState("Press Button 2.");break;
            case IR_BUTTON_3: printButtonState("Press Button 3.");break;
            case IR_BUTTON_4: printButtonState("Press Button 4.");break;
            case IR_BUTTON_5: printButtonState("Press Button 5.");break;
            case IR_BUTTON_6: printButtonState("Press Button 6.");break;
            case IR_BUTTON_7: printButtonState("Press Button 7.");break;
            case IR_BUTTON_8: printButtonState("Press Button 8.");break;
            case IR_BUTTON_9:printButtonState("Press Button 9.");break;
            default:break;
        }
    }
}

void printButtonState(String buttonName)
{
  Serial.println(buttonName);
  while(infraredReceiverDecode.buttonState());
  Serial.println("Release.");
}

