/*************************************************************************
* File Name          : TestUltrasonicSensor.ino
* Author             : Steve
* Updated            : Steve
* Version            : V1.0.0
* Date               : 2/22/2013
* Description        : Test for Makeblock Electronic modules of Me - 
                       Ultrasonic Sensor. The module can ONLY be connected 
                       to the PORT_3, PORT_4, PORT_5, PORT_6, PORT_7, 
                       PORT_8 of Me - Base Shield. 
* License            : CC-BY-SA 3.0
* Copyright (C) 2011 Hulu Robot Technology Co., Ltd. All right reserved.
* http://www.makeblock.cc/
**************************************************************************/
#include <Me_BaseShield.h>
#include <Me_UltrasonicSensor.h>

Me_UltrasonicSensor ultraSensor(PORT_3); //Ultrasonic module can ONLY be connected to port 3, 4, 5, 6, 7, 8 of base shield.
                                    
void setup()
{
	Serial.begin(9600);
	ultraSensor.begin();
}

void loop()
{
	Serial.print("Distance : ");
	Serial.print(ultraSensor.distanceCm());
	Serial.println(" cm");
	delay(20);// the minimal measure interval is 20 milliseconds
}

